Chakra Linux Italia Forum

Supporto Tecnico Software => PKGBUILD => Topic aperto da: slytry - 11 Dicembre 2015 ore 07:43

Titolo: Impossibile installare puddletag
Inserito da: slytry - 11 Dicembre 2015 ore 07:43
Buongiorno, sto cercando di installare puddletag, app per l'editig dei tag dei file audio (che io trovo molto più efficiente di kid3), attraverso ccr (ccr -S puddletag), ma il risultato è un errore:

Codice: [Seleziona]
==> ERRORE: Manca la funzione package() in /tmp/ccrbuild-1000/python2-musicbrainz2/python2-musicbrainz2/PKGBUILD
The build failed.
Dependencies for `puddletag' are not met, not building...

Qualcuno può dirmi qual è il problema? Grazie  ???
Titolo: Re:Impossibile installare puddletag
Inserito da: dinolib - 11 Dicembre 2015 ore 09:21
c'è da sistemare il PKGBUILD. E' orfano, io non lo uso. Se qualcuno lo prende in carico bene.

Altrimenti posso provarci io, ma non so quando...
Lo segno obsoleto al momento
Titolo: Re:Impossibile installare puddletag
Inserito da: slytry - 11 Dicembre 2015 ore 09:22
Grazie.
Io non ne avrei proprio la "forza"  :o
Titolo: Re:Impossibile installare puddletag
Inserito da: dinolib - 11 Dicembre 2015 ore 10:11
modo "veloce":

- vai su arch e scarichi i due file dei sorgenti in una apposita cartella della tua home (es. puddletag): https://projects.archlinux.org/svntogit/community.git/tree/trunk?h=packages/puddletag
- apri il file PKGBUILD. controlli le dipendenze (alcuni pacchetti fra arch e chakra hanno nomi differenti ma qui sembra ok)
- nella cartella del file PKGBUILD lanci il comando
  makepkg -si
Le dipendenze di altri pacchetti di CCR vanno installate a mano (X es. python2-configobj e python2-musicbrainz2 vanno installati a mano)

Se smanetti un po' puoi farcela. All'inizio è dura, poi diventa un giochino. L'unica cosa quando non funziona bisogna un po' ingegnarsi a capire perchè...
Titolo: Re:Impossibile installare puddletag
Inserito da: slytry - 11 Dicembre 2015 ore 11:14
Grazie, appena torno a casa mi metto a lavoro.
Titolo: Re:Impossibile installare puddletag
Inserito da: dinolib - 11 Dicembre 2015 ore 11:20
se vuoi provarci fallo pure.

Intanto ho aggiornato i pacchetti :)
(momento di scazzo al lavoro  ;D)
Titolo: Re:Impossibile installare puddletag
Inserito da: slytry - 11 Dicembre 2015 ore 11:33
Siiiii. Grande! Approfitto...  8)

E funziona alla grande!